# Class BlockWeatherDamageAttr

#### Hierarchy (view full)

- PreWeatherDamageAbAttr
  - BlockWeatherDamageAttr

- Defined in src/data/ability.ts:2196

#####
Index

### Constructors

constructor

### Properties

showAbility
weatherTypes

### Methods

addCondition
apply
applyPreWeatherEffect
getCondition
getTriggerMessage

## Constructors

### constructor

- new BlockWeatherDamageAttr(...weatherTypes): BlockWeatherDamageAttr

- #### Parameters

  - `Rest` ...weatherTypes: WeatherType []

  #### Returns BlockWeatherDamageAttr

  Overrides PreWeatherDamageAbAttr.constructor

  - Defined in src/data/ability.ts:2199

## Properties

### showAbility

showAbility: boolean

Inherited from PreWeatherDamageAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` weatherTypes

weatherTypes: WeatherType []

- Defined in src/data/ability.ts:2197

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreWeatherDamageAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreWeatherDamageAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreWeatherEffect

- applyPreWeatherEffect(pokemon, passive, weather, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - weather: Weather
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides PreWeatherDamageAbAttr.applyPreWeatherEffect

  - Defined in src/data/ability.ts:2205

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreWeatherDamageAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PreWeatherDamageAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137